com.google.protobuf

## Class DescriptorProtos.GeneratedCodeInfo

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.google.protobuf.DescriptorProtos.GeneratedCodeInfo

- All Implemented Interfaces:
    DescriptorProtos.GeneratedCodeInfoOrBuilder, Message, MessageLite, MessageLiteOrBuilder, MessageOrBuilder, java.io.Serializable
  Enclosing class:
    DescriptorProtos

      public static final class DescriptorProtos.GeneratedCodeInfo
      extends GeneratedMessageV3
      implements DescriptorProtos.GeneratedCodeInfoOrBuilder

       Describes the relationship between generated code and its original source
       file. A GeneratedCodeInfo message is associated with only one generated
       source file, but may contain references to different source .proto files.

  Protobuf type `google.protobuf.GeneratedCodeInfo`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescriptorProtos.GeneratedCodeInfo.Annotation` Protobuf type `google.protobuf.GeneratedCodeInfo.Annotation`
    `static interface` | `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
    `static class` | `DescriptorProtos.GeneratedCodeInfo.Builder` Describes the relationship between generated code and its original source file.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageType extends GeneratedMessageV3.ExtendableMessage,BuilderType extends GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, GeneratedMessageV3.ExtendableMessage<MessageType extends GeneratedMessageV3.ExtendableMessage>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageV3.ExtendableMessage>, GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOTATION_FIELD_NUMBER`
    `static Parser<DescriptorProtos.GeneratedCodeInfo>` | `PARSER` Deprecated.

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares the specified object with this message for equality.
    `DescriptorProtos.GeneratedCodeInfo.Annotation` | `getAnnotation(int index)` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `int` | `getAnnotationCount()` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `java.util.List<DescriptorProtos.GeneratedCodeInfo.Annotation>` | `getAnnotationList()` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder` | `getAnnotationOrBuilder(int index)` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `java.util.List<? extends DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder>` | `getAnnotationOrBuilderList()` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `static DescriptorProtos.GeneratedCodeInfo` | `getDefaultInstance()`
    `DescriptorProtos.GeneratedCodeInfo` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Parser<DescriptorProtos.GeneratedCodeInfo>` | `getParserForType()` Gets the parser for a message of the same type as this message.
    `int` | `getSerializedSize()` Get the number of bytes required to encode this message.
    `UnknownFieldSet` | `getUnknownFields()` Get the `UnknownFieldSet` for this message.
    `int` | `hashCode()` Returns the hash code value for this message.
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `static DescriptorProtos.GeneratedCodeInfo.Builder` | `newBuilder()`
    `static DescriptorProtos.GeneratedCodeInfo.Builder` | `newBuilder(DescriptorProtos.GeneratedCodeInfo prototype)`
    `DescriptorProtos.GeneratedCodeInfo.Builder` | `newBuilderForType()` Constructs a new builder for a message of the same type as this message.
    `protected DescriptorProtos.GeneratedCodeInfo.Builder` | `newBuilderForType(GeneratedMessageV3.BuilderParent parent)` TODO(xiaofeng): remove this together with GeneratedMessageV3.BuilderParent.
    `static DescriptorProtos.GeneratedCodeInfo` | `parseDelimitedFrom(java.io.InputStream input)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseDelimitedFrom(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(byte[] data)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(java.nio.ByteBuffer data)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(java.nio.ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(ByteString data)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(CodedInputStream input)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(java.io.InputStream input)`
    `static DescriptorProtos.GeneratedCodeInfo` | `parseFrom(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
    `static Parser<DescriptorProtos.GeneratedCodeInfo>` | `parser()`
    `DescriptorProtos.GeneratedCodeInfo.Builder` | `toBuilder()` Constructs a builder initialized with the current message.
    `void` | `writeTo(CodedOutputStream output)` Serializes the message and writes it to `output`.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### ANNOTATION_FIELD_NUMBER

          public static final int ANNOTATION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final Parser<DescriptorProtos.GeneratedCodeInfo> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final UnknownFieldSet getUnknownFields()

      Description copied from interface: `MessageOrBuilder`
      Get the `UnknownFieldSet` for this message.
      Specified by:
        `getUnknownFields` in interface `MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `GeneratedMessageV3`

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

    - #### getAnnotationList

          public java.util.List<DescriptorProtos.GeneratedCodeInfo.Annotation> getAnnotationList()

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`
      Specified by:
        `getAnnotationList` in interface `DescriptorProtos.GeneratedCodeInfoOrBuilder`

    - #### getAnnotationOrBuilderList

          public java.util.List<? extends DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder> getAnnotationOrBuilderList()

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`
      Specified by:
        `getAnnotationOrBuilderList` in interface `DescriptorProtos.GeneratedCodeInfoOrBuilder`

    - #### getAnnotationCount

          public int getAnnotationCount()

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`
      Specified by:
        `getAnnotationCount` in interface `DescriptorProtos.GeneratedCodeInfoOrBuilder`

    - #### getAnnotation

          public DescriptorProtos.GeneratedCodeInfo.Annotation getAnnotation(int index)

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`
      Specified by:
        `getAnnotation` in interface `DescriptorProtos.GeneratedCodeInfoOrBuilder`

    - #### getAnnotationOrBuilder

          public DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder getAnnotationOrBuilder(int index)

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`
      Specified by:
        `getAnnotationOrBuilder` in interface `DescriptorProtos.GeneratedCodeInfoOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3`

    - #### writeTo

          public void writeTo(CodedOutputStream output)
                       throws java.io.IOException

      Description copied from interface: `MessageLite`
      Serializes the message and writes it to `output`. This does not flush or close the stream.
      Specified by:
        `writeTo` in interface `MessageLite`
      Overrides:
        `writeTo` in class `GeneratedMessageV3`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Description copied from interface: `MessageLite`
      Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that.
      Specified by:
        `getSerializedSize` in interface `MessageLite`
      Overrides:
        `getSerializedSize` in class `GeneratedMessageV3`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from interface: `Message`
      Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.
      Specified by:
        `equals` in interface `Message`
      Overrides:
        `equals` in class `AbstractMessage`
      Parameters:
        `obj` - object to be compared for equality with this message
      Returns:
        `true` if the specified object is equal to this message

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Message`
      Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.
      Specified by:
        `hashCode` in interface `Message`
      Overrides:
        `hashCode` in class `AbstractMessage`
      Returns:
        the hash code value for this message
      See Also:
        `Map.hashCode()`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(java.nio.ByteBuffer data)
                                                              throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(java.nio.ByteBuffer data,
                                                     ExtensionRegistryLite extensionRegistry)
                                                              throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(ByteString data)
                                                              throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(ByteString data,
                                                     ExtensionRegistryLite extensionRegistry)
                                                              throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(byte[] data)
                                                              throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(byte[] data,
                                                     ExtensionRegistryLite extensionRegistry)
                                                              throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(java.io.InputStream input)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(java.io.InputStream input,
                                                     ExtensionRegistryLite extensionRegistry)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static DescriptorProtos.GeneratedCodeInfo parseDelimitedFrom(java.io.InputStream input)
                                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static DescriptorProtos.GeneratedCodeInfo parseDelimitedFrom(java.io.InputStream input,
                                                              ExtensionRegistryLite extensionRegistry)
                                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(CodedInputStream input)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.GeneratedCodeInfo parseFrom(CodedInputStream input,
                                                     ExtensionRegistryLite extensionRegistry)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilderForType

          public DescriptorProtos.GeneratedCodeInfo.Builder newBuilderForType()

      Description copied from interface: `MessageLite`
      Constructs a new builder for a message of the same type as this message.
      Specified by:
        `newBuilderForType` in interface `Message`
      Specified by:
        `newBuilderForType` in interface `MessageLite`

    - #### newBuilder

          public static DescriptorProtos.GeneratedCodeInfo.Builder newBuilder()

    - #### newBuilder

          public static DescriptorProtos.GeneratedCodeInfo.Builder newBuilder(DescriptorProtos.GeneratedCodeInfo prototype)

    - #### toBuilder

          public DescriptorProtos.GeneratedCodeInfo.Builder toBuilder()

      Description copied from interface: `MessageLite`
      Constructs a builder initialized with the current message. Use this to derive a new message from the current one.
      Specified by:
        `toBuilder` in interface `Message`
      Specified by:
        `toBuilder` in interface `MessageLite`

    - #### newBuilderForType

          protected DescriptorProtos.GeneratedCodeInfo.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)

      Description copied from class: `GeneratedMessageV3`
      TODO(xiaofeng): remove this together with GeneratedMessageV3.BuilderParent.
      Specified by:
        `newBuilderForType` in class `GeneratedMessageV3`

    - #### getDefaultInstance

          public static DescriptorProtos.GeneratedCodeInfo getDefaultInstance()

    - #### parser

          public static Parser<DescriptorProtos.GeneratedCodeInfo> parser()

    - #### getParserForType

          public Parser<DescriptorProtos.GeneratedCodeInfo> getParserForType()

      Description copied from interface: `MessageLite`
      Gets the parser for a message of the same type as this message.
      Specified by:
        `getParserForType` in interface `Message`
      Specified by:
        `getParserForType` in interface `MessageLite`
      Overrides:
        `getParserForType` in class `GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public DescriptorProtos.GeneratedCodeInfo getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`